<?php 
// FModControl v2.0.0 Copyright (c) Igor Anikeev https://webnav.link/ 2016 - 2024.
?><?php
if(! defined('SYS_LOADER')){die();}

 if(isset($_POST['save'])){
 echo inst_pas();
 }
 else{
 echo inst_pas_form('');
 }

function inst_pas_form($err){
global $lang;
usual::errReport(false);
 if(! file_exists(SCRIPT_DIR.'/license.txt')){
 return msg::error('File not found: license.txt');
 }

 if(isset($_POST['agree_license'])){
 $license = <<<HTMLDATA
<input type="hidden" name="agree_license" value="1"><br>
HTMLDATA;
 }
 else{
 $license = file_get_contents(SCRIPT_DIR."/license.txt");
 $license = <<<HTMLDATA
<textarea cols="80" rows="24">$license</textarea><br><br>
<input type="checkbox" name="agree_license" id="agree_license"><label for="agree_license">$lang[I_accept_license_agreement]</label><br><br>
HTMLDATA;
 }

$new_admin_name = isset($_POST['new_admin_name']) ? $_POST['new_admin_name'] : '';
$new_password1 = isset($_POST['new_password1']) ? $_POST['new_password1'] : '';
$new_password2 = isset($_POST['new_password2']) ? $_POST['new_password2'] : '';

$ret = <<<HTMLDATA
$err
<h1>$lang[Setting_a_password]</h1>
<form action="?" method="POST" class="passForm">
<input type="hidden" name="view" value="install">
<input type="hidden" name="save" value="1">
<div>$lang[Come_up_with_a_username]<input type="text" name="new_admin_name" value="$new_admin_name" placeholder="$lang[Come_up_with_a_username]" required="required"></div>
<div>$lang[Come_up_with_a_password]<input type="password" name="new_password1" value="$new_password1" placeholder="$lang[Come_up_with_a_password]" required="required"></div>
<div>$lang[Repeat_password]<input type="password" name="new_password2" value="$new_password2" placeholder="$lang[Repeat_password]" required="required"></div><br>
$license
<input type="submit" value="$lang[Install_password]">
</form>
HTMLDATA;
usual::errReport(true);
return $ret;
}


function inst_pas(){
global $admin_lib, $lang;
 if(! isset($_POST['agree_license'])){
 return inst_pas_form(msg::error($lang['You_must_accept_license_agreement']));
 }
$settings_file = DATA_DIR.'/settings.dat';
 if(! file_exists($settings_file)){
 $sdata = file_get_contents(INC_DIR.'/settings.default') or die('Cannot open file '.INC_DIR.'/settings.default');
  if(@file_put_contents($settings_file, $sdata) === false){
  return msg::permission_denied($settings_file);
  }
 $admin_lib->save_settings('settings', array('user_lang' => usual::current_lang()));
 }

$res = $admin_lib->save_newlogin(false);
 if($res == '1'){
 return msg::success("$lang[Necessary] <a href=\"?\">$lang[n_log_in]</a>.<br>$lang[If_you_forget_password] .htadmin.dat $lang[in_the_directory]" . DATA_DIR, $lang['Password_installed']);
 }
return inst_pas_form($res);
}
?>