<?php 
// FModControl v2.0.0 Copyright (c) Igor Anikeev https://webnav.link/ 2016 - 2024.
?><?php

 if(! function_exists('hash')){
  function hash($empty_alg, $str){
  return md5($str);
  }
 }


class admin_lib{

private $max_admin_session_time = 24 ;
private $key_server_values = '';


public function __construct(){
$this->key_server_values = $_SERVER['SCRIPT_FILENAME'];
}


public function check_admin_login(){
 if(empty($_SESSION['fmodcontrol']['admin']['key'])){
  if($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['enter'])){
  return $this->admin_enter();
  }
  else{
   if(! file_exists(DATA_DIR.'/.htadmin.dat')){
   global $view;
   $view = 'install';
   return true;
   }
  return false;
  }
 }
 else{
 $row = $this->get_admin_data();
  if(empty($row['password'])){
  return false;
  }

 if(! $this->is_valid_cookie_key($row)){
 return false;
 }

$time = time()+3600;

  for($i=-1;$i<$this->max_admin_session_time;$i++){
  $key = $this->sess_key($row, $time);
   if($_SESSION['fmodcontrol']['admin']['key'] == $key){
   $this->set_admin_info($row);
   return true;
   }
  $time -= 3600;
  }

 return false;
 }

return false;
}


public function admin_enter(){
if($_POST['admin_name'] == '' || $_POST['admin_password'] == ''){return false;}
$_POST['admin_name'] = $this->admin_hash('admin_name', $_POST['admin_name']);
$_POST['admin_password'] = $this->admin_hash('admin_password', $_POST['admin_password']);
$row = $this->get_admin_data();
 if(isset($row['login']) && $row['login'] == $_POST['admin_name'] && $row['password'] == $_POST['admin_password']){
 $this->set_admin_info($row);
 return true;
 }
 else{
 return false;
 }
}


public function admin_hash($type, $value){
 switch($type){
 case 'admin_name': return hash('sha512', $value . 'Instead of the announced');
 case 'admin_password': return hash('sha512', $value . 'Do not yet provide');
 }
}


public function sess_key($row, $time = 0){
 if($time == 0){
 $time = time();
 }
return hash('sha512', date("YmdH", $time) . $row['login'] . $this->ip() . 'Possible dates' . $row['password'] . $this->key_server_values);
}


public function cookie_key($row, $time = 0){
 if($time == 0){
 $time = time();
 }
return hash('sha512', date("YmdH", $time) . $row['password'] . $this->ip() . $row['login'] . $this->key_server_values . 'Page matching your query');
}



public function is_valid_cookie_key($row){
$time = time() + 3600;
 for($i=-1; $i < $this->max_admin_session_time; $i++){
 $key = $this->cookie_key($row, $time);
  if(isset($_COOKIE['flckh']) && $_COOKIE['flckh'] == $key){
  return true;
  }
 $time -= 3600;
 }
return false;
}




public function get_admin_data(){
return usual::get_settings('.htadmin');
}


public function set_admin_info($row){
global $admin;
$admin = array();
$admin['login'] = $row['login'];
$_SESSION['fmodcontrol']['admin'] = array();
$_SESSION['fmodcontrol']['admin']['key'] = $this->sess_key($row);
$this->adm_set_cookie('flckh', $this->cookie_key($row));
}


public function save_newlogin($check_old = true){
global $admin, $lang;
$err = '';
$_POST['old_admin_name'] = isset($_POST['old_admin_name']) ? trim($_POST['old_admin_name']) : '';
$_POST['old_password'] = isset($_POST['old_password']) ? trim($_POST['old_password']) : '';
$_POST['new_admin_name'] = trim($_POST['new_admin_name']);
$_POST['new_password1'] = trim($_POST['new_password1']);
$_POST['new_password2'] = trim($_POST['new_password2']);
if(strlen($_POST['new_admin_name']) < 3){$err.="$lang[Login_must_be_at_least_x_characters]<br>";}
if(strlen($_POST['new_password1']) < 6){$err.="$lang[Password_must_be_at_least_x_characters]<br>";}
$old_admin_name = $this->admin_hash('admin_name', $_POST['old_admin_name']);
$old_password = $this->admin_hash('admin_password', $_POST['old_password']);
$new_admin_name = $this->admin_hash('admin_name', $_POST['new_admin_name']);
$new_password1 = $this->admin_hash('admin_password', $_POST['new_password1']);
$new_password2 = $this->admin_hash('admin_password', $_POST['new_password2']);
if($new_password1 !== $new_password2){$err.="$lang[New_password_does_not_match]<br>";}

$row = $this->get_admin_data();

 if($check_old){
 if($old_admin_name !== $row['login']){$err.="$lang[Incorrect_old_username]<br>";}
 if($old_password !== $row['password']){$err.="$lang[Incorrect_old_password]<br>";}
 }

if(! empty($err)){return msg::error($err);}

$admin['login'] = $new_admin_name;
$admin['password'] = $new_password1;

return $this->save_settings('.htadmin', $admin);
}


public function show_login($err_msg){
global $sett;
unset($_SESSION['fmodcontrol']['admin']);
 if(isset($_COOKIE['flckh'])){
 setcookie('flckh', '', time() - 3600, '');
 }
include(INC_DIR."/admin/pages/login.php");
exit;
}


public function ip(){
return getenv('REMOTE_ADDR');
}


public function save_settings($type, $new_sett){
$new_sett = array_merge(usual::get_settings($type), $new_sett);
$data = '';
 foreach($new_sett as $name => $value){
 $value = trim($value);
 $data .= "$name=$value\x0D\x0A";
 }
 if(@file_put_contents(DATA_DIR."/$type.dat", $data) === false){
 return msg::permission_denied(DATA_DIR."/$type.dat");
 }
return '1';
}



public function save_txt_lines_settings($type, $text){
$text = str_replace("\x0D", '', $text);
$lines = explode("\x0A", $text);
$data = '';
 if(count($lines)){
  foreach($lines as $line){
  $line = trim($line);
   if($line !== ''){
   $data .= $line . "\x0D\x0A";
   }
  }
 }
 if(@file_put_contents(DATA_DIR."/$type.dat", $data) === false){
 return msg::permission_denied(DATA_DIR."/$type.dat");
 }
return '1';
}


public function adm_set_cookie($name, $value){
$max_cookie_time = 0;
$now_time = 0;
 if(phpversion() >= '5.2'){
 setcookie($name, $value, $now_time + $max_cookie_time, '', '', false, true);
 }
 else{
 setcookie($name, $value, $now_time + $max_cookie_time, '', '', false);
 }
}


public function check_cookie(){
global $lang;
$sess_name = session_name();
 if(! isset($_COOKIE["$sess_name"])){
 return "<p class=\"err\">$lang[Enable_cookies_in_the_browser]</p>";
 }
 else{
 return '';
 }
}


public function load_content(){
global $view, $lang;
 if(empty($view)){
 $view = 'main';
 }
$ret = '';
$file = INC_DIR."/admin/pages/$view.php";
 if(file_exists($file)){
 $ret .= usual::contentGts($file);
 $ret .= usual::include_in_var($file);
 }
 else{
 $ret .= "$lang[Module_is_missing] $view";
 }
return $ret;
}


public function langs_select_box($sett){
$ret = '<select name="new_sett[user_lang]">';
 foreach(usual::$supported_langs as $arr){
  if($arr['name'] == $sett['user_lang']){
  $selected = ' selected="selected"';
  }
  else{
  $selected = '';
  }
 $ret .= "<option value=\"$arr[name]\"$selected>$arr[title]</option>";
 }
$ret .= '</select>';
return $ret;
}



}
?>